<h3 class="mb-0">{{ 'modules.auth.login.title' | translate }}</h3>
<small class="d-block px-5">{{ 'modules.auth.login.subtitle' | translate }}</small>
<form [formGroup]="loginForm" (ngSubmit)="onSubmit()" method="POST" novalidate class="row mx-0">
    <div class="col-md-12">
        <div class="position-relative px-5 mt-3">
            <input formControlName="email" type="text" class="form-control text-center" placeholder="{{ 'forms.fields.email' | translate }}" required />
        </div>
        <small *ngIf="(loginForm.get('email').touched || loginForm.get('email').dirty) && loginForm.get('email').hasError('required')" class="form-text text-danger">
            {{ 'forms.messages.required' | translate }}
        </small>
    </div>
    <div class="col-md-12">
        <div class="position-relative px-5 mt-2">
            <input formControlName="password" type="password" class="form-control text-center" placeholder="{{ 'forms.fields.password' | translate }}" required />
        </div>
        <small *ngIf="(loginForm.get('password').touched || loginForm.get('password').dirty) && loginForm.get('password').hasError('required')" class="form-text text-danger">
            {{ 'forms.messages.required' | translate }}
        </small>
    </div>
    <div class="col-md-12">
        <a [routerLink]="['/auth', 'forgot-password']" class="mt-3 d-block">{{ 'modules.auth.login.forgotPassword' | translate }}</a>
    </div>
    <div class="col-md-12">
        <a [routerLink]="['/auth', 'register']" class="d-block">{{ 'modules.auth.login.createAccount' | translate }}</a>
    </div>
    <button type="submit" class="btn btn-primary btn-raised btn-darken-1 w-100 mb-0 mt-3 py-3" [disabled]="!loginForm.valid">{{ 'modules.auth.login.login' | translate }}</button>
</form>